public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/regexp_parser/
Date: Tue, 20 Dec 2016 06:00:06 +0000 (UTC)	[thread overview]
Message-ID: <1482213183.480e47e6be07c188f2b4a4348b732de98b47cdb0.graaff@gentoo> (raw)

commit:     480e47e6be07c188f2b4a4348b732de98b47cdb0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 20 05:53:03 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 20 05:53:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=480e47e6

dev-ruby/regexp_parser: add 0.4.1

Package-Manager: portage-2.3.0

 dev-ruby/regexp_parser/Manifest                   |  1 +
 dev-ruby/regexp_parser/regexp_parser-0.4.1.ebuild | 37 +++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-ruby/regexp_parser/Manifest b/dev-ruby/regexp_parser/Manifest
index 4eee93b..29c1045 100644
--- a/dev-ruby/regexp_parser/Manifest
+++ b/dev-ruby/regexp_parser/Manifest
@@ -1,2 +1,3 @@
 DIST regexp_parser-0.3.2.gem 94720 SHA256 147d6d2b4f7e10c3ef96801176cd9c8c811c6a923bcda4ffd6055d9bfb6eaa1f SHA512 4a53a54136936bec98be7828372d132ffb8fc809f6e989eb584d6037a44714efa707eaf27e3dc41072243b3db4a80be69dbf9e0065d7f5b2014d06f5b94b11ba WHIRLPOOL 0d8ef2b357c20d1f7eb5b5d391cf166f3faefb9115ba20beb16519d07ebc18581277c46f7c3ed7990c718766ff06b3dd4611ecbc0e53410b7d8bda8d002046bd
 DIST regexp_parser-0.3.6.gem 96256 SHA256 5c4536dfb8ba1102ce3a9e6d7e1ec57a17a0d752ca495a31efaf5e6984ed9b31 SHA512 2c4b91d095c18cb1381b176f79772f38ec86b39cd7c2678d830150a6d3519bd45531a8bf6ca404b9499a3f5ec083d21a0f7e1f36574176faea06c67527164a41 WHIRLPOOL 05aa63f2f2caedc3c7f9f3ce9e1e5cf5ebcdcb0865d159b6ddc15cd06925a4b2c229d5213971ea8a35819b10701b62f42bc784f0952576deacff3e200da19327
+DIST regexp_parser-0.4.1.tar.gz 76970 SHA256 5beebf24e5e0eaf8aa09b9a26af437af849ea6883a2e86adeb1cbadf4ec0ed27 SHA512 9d8c9ee2a9b7fcba52b05a54d5e21c21b81d77edd4acf181c3d0efd576d68b509af44d06f9b961288ce76198fbab404c93a1a5092baea3d725db242228e74183 WHIRLPOOL b6e6981caff91e918b7e54167220c60ec304d223b457a1243b72fcc5d37ea8dab2a39420b3402f263381b7cfe37710e3e56ff78004b4a81b3c7d43867370fd22

diff --git a/dev-ruby/regexp_parser/regexp_parser-0.4.1.ebuild b/dev-ruby/regexp_parser/regexp_parser-0.4.1.ebuild
new file mode 100644
index 00000000..765e391
--- /dev/null
+++ b/dev-ruby/regexp_parser/regexp_parser-0.4.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for tokenizing, lexing, and parsing Ruby regular expressions"
+HOMEPAGE="https://github.com/ammar/regexp_parser"
+SRC_URI="https://github.com/ammar/regexp_parser/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+ruby_add_bdepend "dev-ruby/rake"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/I s:^:#:' Rakefile || die
+	sed -i -e '1irequire "delegate"' test/support/warning_extractor.rb || die
+}
+
+each_ruby_compile() {
+	${RUBY} -S rake ragel:rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib bin/test || die
+}


             reply	other threads:[~2016-12-20  6:00 UTC|newest]

Thread overview: 104+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-20  6:00 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-09  7:18 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/regexp_parser/ Hans de Graaff
2024-12-26  6:19 Hans de Graaff
2024-10-06 11:11 Sam James
2024-05-23  6:13 Hans de Graaff
2024-05-12  5:03 Hans de Graaff
2024-03-17  6:13 Hans de Graaff
2024-01-15  3:32 Ionen Wolkens
2024-01-09  7:44 Hans de Graaff
2024-01-01  8:07 Hans de Graaff
2024-01-01  8:07 Hans de Graaff
2024-01-01  8:07 Hans de Graaff
2023-12-05  7:14 Hans de Graaff
2023-10-11  5:37 Hans de Graaff
2023-08-29 14:50 Hans de Graaff
2023-08-13  5:22 Hans de Graaff
2023-03-26  7:19 Hans de Graaff
2023-03-26  7:19 Hans de Graaff
2023-02-18  7:29 Hans de Graaff
2023-01-21  7:20 Hans de Graaff
2022-11-26 16:08 Hans de Graaff
2022-11-26 16:08 Hans de Graaff
2022-10-01  7:06 Hans de Graaff
2022-07-01  7:36 Hans de Graaff
2022-06-24  7:39 Hans de Graaff
2022-05-29  6:20 Hans de Graaff
2022-05-29  6:20 Hans de Graaff
2022-05-29  6:20 Hans de Graaff
2022-05-10  5:00 Hans de Graaff
2022-05-10  5:00 Hans de Graaff
2022-04-25  5:23 Hans de Graaff
2022-04-23  8:01 Hans de Graaff
2022-04-09  7:38 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2022-03-18  6:57 Hans de Graaff
2021-12-05  7:24 Hans de Graaff
2021-10-10 23:45 Sam James
2021-09-07 21:28 Marek Szuba
2021-07-24 15:22 Sam James
2021-06-07  6:20 Sergei Trofimovich
2021-06-04  8:22 Hans de Graaff
2021-05-25 18:01 Sergei Trofimovich
2021-05-25 10:48 Sam James
2021-05-25 10:47 Sam James
2021-05-24 17:22 Sergei Trofimovich
2021-05-18  6:04 Hans de Graaff
2021-05-18  6:04 Hans de Graaff
2021-02-26  6:00 Hans de Graaff
2021-02-23  7:01 Hans de Graaff
2021-01-03  8:05 Hans de Graaff
2020-12-20 19:14 Sam James
2020-12-20 19:03 Sam James
2020-12-02  7:09 Hans de Graaff
2020-12-02  7:09 Hans de Graaff
2020-12-02  7:09 Hans de Graaff
2020-12-02  7:09 Hans de Graaff
2020-10-12  5:19 Hans de Graaff
2020-10-02  5:15 Hans de Graaff
2020-09-25  6:09 Hans de Graaff
2020-09-09  9:28 Hans de Graaff
2020-09-09  9:28 Hans de Graaff
2020-06-16  4:53 Hans de Graaff
2020-04-21 21:06 Sergei Trofimovich
2020-04-21 21:06 Sergei Trofimovich
2020-04-21 21:06 Sergei Trofimovich
2020-03-06  7:10 Hans de Graaff
2020-02-24  6:27 Hans de Graaff
2020-01-27  6:40 Hans de Graaff
2019-07-22 21:06 Hans de Graaff
2019-07-22 16:56 Aaron Bauman
2019-07-17  6:01 Hans de Graaff
2019-07-17  6:01 Hans de Graaff
2019-07-09 23:11 Sergei Trofimovich
2019-07-08 11:50 Hans de Graaff
2019-05-24  7:06 Hans de Graaff
2019-05-24  7:06 Hans de Graaff
2019-05-23  5:39 Hans de Graaff
2019-05-16  4:32 Hans de Graaff
2019-04-27  6:06 Hans de Graaff
2019-04-27  6:06 Hans de Graaff
2019-04-04  5:09 Hans de Graaff
2019-01-05  9:48 Hans de Graaff
2018-11-26 19:23 Mikle Kolyada
2018-11-17 23:18 Thomas Deutschmann
2018-11-17 23:18 Thomas Deutschmann
2018-11-15  7:24 Hans de Graaff
2018-11-12  6:14 Hans de Graaff
2018-10-26  5:13 Hans de Graaff
2018-07-29  7:04 Hans de Graaff
2018-05-15  5:15 Hans de Graaff
2018-02-09  6:58 Hans de Graaff
2018-02-09  6:58 Hans de Graaff
2017-09-23  6:13 Hans de Graaff
2017-07-21  6:29 Hans de Graaff
2017-07-21  6:29 Hans de Graaff
2017-04-07  5:45 Hans de Graaff
2017-01-15  9:23 Hans de Graaff
2016-10-16 18:22 Manuel Rüger
2016-10-16 18:21 Manuel Rüger
2016-01-16  7:04 Hans de Graaff
2015-09-20  6:31 Hans de Graaff
2015-09-07 21:56 Richard Farina
2015-09-05  6:06 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482213183.480e47e6be07c188f2b4a4348b732de98b47cdb0.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox